External user groups auth source dropdown menu doesn't open
Category: Web Interface
Target version: 1.11.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Pull request: https://github.com/theforeman/foreman/p
ull/3325
Description

When editing a user group, the auth source dropdown menu when adding an external user group doesn't open.

1. Edit a user group

2. Go to the "External groups" tab

3. Click "Add external user group”

4. Try to click the "Auth source" dropdown menu

Similar to #14041 | think, where select?2 is being initialised in the form template when it isn't visible and before it's copied to the new
form, and it should only be initialised after the new set of form fields are added.

Related issues:

Related to Foreman - Feature #10641: Ability to search VmWare networks Closed 05/28/2015
Related to Foreman - Bug #10911: Seletc2 fields do not work with nested fields Closed 06/23/2015
Related to Foreman - Bug #11374: Can't change key type when creating a smart ... Closed 08/16/2015
Blocks Foreman - Bug #14202: select2 missing from interface/NIC compute resou... Closed 03/15/2016

Associated revisions

Revision 10c98a9a - 03/16/2016 05:01 AM - Dominic Cleal

fixes #14200 - exclude form templates from select2 initialisation
Form templates shouldn't be initialised with select2, as the elements
are copied through add_child_node, e.g. when adding a new external user

group inside the user group form. add_child_node calls select2 after
copying the form instead.

History

#1 - 03/15/2016 05:23 AM - Dominic Cleal
- Related to Feature #10641: Ability to search VmWare networks added

#2 - 03/15/2016 05:28 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3325 added

#3 - 03/15/2016 05:58 AM - Dominic Cleal

I think #10911 fixed this originally, then #11374 broke it (only keeping it working in smart variables) as the destroy was removed. | hope this fix is

more persistent as it doesn't depend on destroying them when creating the new child form.

#4 - 03/15/2016 05:58 AM - Dominic Cleal
- Related to Bug #10911: Seletc2 fields do not work with nested fields added

#5 - 03/15/2016 05:58 AM - Dominic Cleal
- Related to Bug #11374: Can't change key type when creating a smart variable added

#6 - 03/15/2016 08:04 AM - Dominic Cleal

- Blocks Bug #14202: select2 missing from interface/NIC compute resource dropdown menus added

#7 - 03/16/2016 06:02 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 10c98a9a25ca69edb19a4b0caae0fe7{f766d894.

#8 - 03/16/2016 07:11 AM - Dominic Cleal

- translation missing: en.field_release set to 141

#9 - 04/06/2016 04:57 AM - Daniel Lobato Garcia
- Bugzilla link set to 1319158

05/21/2024

22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/10c98a9a25ca69edb19a4b0caae0fe7ff766d894
http://www.tcpdf.org

